# Uses of Class
org.apache.sling.engine.auth.AuthenticationInfo

Packages that use AuthenticationInfo
Package
Description
org.apache.sling.engine.auth
Provides the original authentication handler service API initially bundled with the Sling Engine bundle.

## Uses of AuthenticationInfo in org.apache.sling.engine.auth

Fields in org.apache.sling.engine.auth declared as AuthenticationInfo
Modifier and Type
Field
Description
`static final AuthenticationInfo`
AuthenticationInfo.`DOING_AUTH`
Deprecated.
This object is returned by the `AuthenticationHandler.authenticate(javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)` method to indicate an ongoing authentication transaction.
Methods in org.apache.sling.engine.auth that return AuthenticationInfo
Modifier and Type
Method
Description
`AuthenticationInfo`
AuthenticationHandler.`authenticate(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
Deprecated.
Extracts credential data from the request if at all contained.